Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util.profiling
Class Database

    java.lang.Object
      avrora.util.profiling.Database

public abstract class Database
extends java.lang.Object

Field Summary
`protected java.util.Vector` | `items`

Constructor Summary
`protected` | `Database()`

Method Summary
`void` | `accept(DatabaseVisitor v)` Accept a visitor into this database.
`abstract void` | `freeze()`
`abstract boolean` | `isEmpty()`
`void` | `processData()` Process the data in the database.
`void` | `registerDataItem(DataItem d)` Register a data item into this database.
`void` | `textReport()` Generate a textual report of the information in this database.
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### items

    protected java.util.Vector items

Constructor Detail

### Database

    protected Database()

Method Detail

### registerDataItem

    public void registerDataItem(DataItem d)

  Register a data item into this database.

### textReport

    public void textReport()

  Generate a textual report of the information in this database. Default behavior is to traverse all items in order of registering.

### processData

    public void processData()

  Process the data in the database. Default behavior is to traverse all items in order of registering.

### accept

    public void accept(DatabaseVisitor v)

  Accept a visitor into this database. Default behavior is to traverse all items in order of registering.

### isEmpty

    public abstract boolean isEmpty()

### freeze

    public abstract void freeze()

### toString

    public abstract java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD